GNU bug report logs - #60915
[PATCH 18/25] gnu: Add go-mvdan-cc-unparam.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:13 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:56 2023
Received: from localhost ([127.0.0.1]:38639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWW-0007XV-5f
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:56 -0500
Received: from lists.gnu.org ([209.51.188.17]:44502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW5-0007V2-Ue
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:30 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW4-00029H-H9
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:29 -0500
Received: from mail-il1-x12c.google.com ([2607:f8b0:4864:20::12c])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW2-0006uh-Vj
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:28 -0500
Received: by mail-il1-x12c.google.com with SMTP id a3so10443415ilp.6
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=9lS5scPo+GawXjczJbbvyPLbETC8kDx7nB86b0zFGvs=;
 b=LrlCbm8cA2i05whU5BIS+TK6uE/zKPlrgHS42pidPxVP3j5eYQ11TwEt75tUNfu0iI
 oFjY+jPQ1gpQYUOMm5ku1BE6ltxfyj/C7Qu8v0/PnHI/CRIRU05QTeT6/0EpX9Fx9sry
 XdXWkdUilZER3m/POPx75/nUYngno3xoEte3d8tzFqMzmuxiOC0r99boiJ9EEnyDAS6V
 vHkxYp6jnWVoXkiBnbCGWb/eEsduWpWjBpMrbEJvdD5iApXXlbyEHw/EzYTi58INpD1+
 sQdujyQ8Ykn+Ok2GXLgmPr2zWZnZkzMP+xJiFLaqVh213bzPGbqOkQbDG6flChqvkatq
 nqtA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=9lS5scPo+GawXjczJbbvyPLbETC8kDx7nB86b0zFGvs=;
 b=MQFzOhjNvGN8pjyE49aOwWCuZCp1fBkdhPCu8jInWCwcNa6yDybZ6EOIu1/QEx5Jlz
 dPUf7tE9A2j3tSbZJ0LcqCjZwJQOGWKY0of11iMy42cj+HAELFyFw9Gahd7lyqz72BrI
 ehm3IRIGV2fR2w1jHHtAL+sIkk2S8n95U9Uidhxjpr1MlBXWpDQBfqnhm9/x9UCxFXtZ
 jkOLi/5DNahDmhxGS0V08Qp9SZHMvn3JYzrRbQ1zpe4y7RBSFkZI5L5a9EsVxs7gscff
 UH23F1dga+KHpEyxBTWA6nsnRx1gL4JHrRupzP1LZtNX22jJ5SkL+hJQOvmcxWo0RMib
 dhZg==
X-Gm-Message-State: AFqh2krkY1Xx+9bnhVQAq9yqkAOVtSngQVRyhOcNg0kwWCAPoFsepajQ
 KskCorCyU6UvK6CmO39U1LIxaDcPWoE=
X-Google-Smtp-Source: AMrXdXtNuEJS+Iw+1FbEoipCgLq8F+Ah55MpvIcKCkzp3KDmntPvQ6Vep7K7Xrcp0GufZsVSVrvLhA==
X-Received: by 2002:a05:6e02:4a4:b0:30c:e42:f615 with SMTP id
 e4-20020a056e0204a400b0030c0e42f615mr4609611ils.16.1674006325505; 
 Tue, 17 Jan 2023 17:45:25 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:25 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 18/25] gnu: Add go-mvdan-cc-unparam.
Date: Tue, 17 Jan 2023 18:45:03 -0700
Message-Id: <20230118014510.19320-19-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::12c;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x12c.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-mvdan-cc-unparam): New variable.
---
 gnu/packages/golang.scm | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index d980026a70..eaff0dfc37 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -9828,6 +9828,20 @@ (define-public unparam
     (description "Reports unused function parameters and results in Go code.")
     (license license:bsd-3)))
 
+(define-public go-mvdan-cc-unparam
+  (package
+    (inherit unparam)
+    (name "go-mvdan-cc-unparam")
+    (arguments
+     `(#:import-path "github.com/mvdan/unparam"
+       #:tests? #f
+       #:install-source? #t
+       #:phases (modify-phases %standard-phases
+                  (delete 'build))))
+    (propagated-inputs (package-inputs unparam))
+    (native-inputs '())
+    (inputs '())))
+
 (define-public xurls
   (package
     (name "xurls")
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60915; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.